/* HERO */

.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

/* FUNDO (video ou imagem) */
.hero-video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}



/* CONTEÚDO */
.hero-content {
  position: relative;
  z-index: 2;

  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  text-align: center;
}

/* TÍTULO */
.hero h1 {
  color: var(--color-text-light);
  font-size: 4rem; /* 64px */
  line-height: 1.1;

  /* stroke */
  -webkit-text-stroke: 1px var(--color-text-light);
  margin-top: 10rem;
  margin-bottom: 10rem;
}

/* ÍCONES */
.hero-icons {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.5rem;
  margin-top: 13rem;

}

.hero-icons a {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* NAVBAR SOBRE O HERO */
.header {
  position: absolute;
  top: 5%;
  left: 0;
  width: 100%;
  z-index: 3;
}

.header nav ul li a{
  font-size: 20px;
  font-style: normal;

}

.navbar {
  display: flex;
  justify-content: center;
  padding: 1.5rem 0;
}

.nav-menu {
  display: flex;
  gap: 2rem;
}

.nav-menu a {
  color: var(--color-text-light);
  font-family: var(--font-accent);
  font-size: 0.875rem;
  letter-spacing: 0.1em;
}

/* Esconde as divisórias SVG no desktop */
.nav-menu > svg {
  display: none;
}

/* =========================
   MOBILE FIRST (até 768px)
========================= */

@media (max-width: 768px) {
  .hero h1{
    font-size: 2.8rem;
    margin-top: 10rem;
    margin-bottom: 2rem;
  }
}


@media (max-width: 768px) {

  /* NAVBAR */
  .navbar {
    justify-content: center;
    position: relative;
  }

  /* ESCONDE MENU NORMAL */
  .nav-menu {
    display: none;
  }

  /* BOTÃO HAMBURGER */
  .menu-toggle {
    display: flex;
    align-items: center;
    justify-content: center;

    background: none;
    border: none;
    cursor: pointer;

    width: 40px;
    height: 40px;

    position: relative;
    z-index: 1001; /* acima do menu */
  }

  .menu-toggle svg {
    width: 24px;
    height: 24px;
    fill: var(--color-text-light);
  }

  /* MENU ABERTO (overlay) */
  .nav-menu.active {
    position: fixed;
    top: 0;
    left: 0;

    width: 100%;
    height: 60vh;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1.5rem; /* Ajustado para melhor espaçamento com SVGs */

    background: rgba(29, 12, 3, 0.85);
    backdrop-filter: blur(4px);

    z-index: 999;
  }

  /* Mostra e estiliza as divisórias SVG no menu mobile */
  .nav-menu.active > svg {
    display: block;
    width: 120px;
    opacity: 0.5;
  }

  /* LINKS */
  .nav-menu.active a {
    font-size: 1.5rem;
    font-weight: 300;
    letter-spacing: 0.1em;
    font-family: var(--font-accent);
  }
}